RadioLib Universal wireless communication library for Arduino

Public Attributes | List of all members
SSTVMode_t Struct Reference

Structure to save data about supported SSTV modes. More...

`#include <SSTV.h>`

## Public Attributes
uint8_t | visCode
| Unique VIS code of the SSTV mode.
uint16_t | width
| Picture width in pixels.
uint16_t | height
| Picture height in pixels.
uint16_t | scanPixelLen
| Pixel scan length in us.
uint8_t | numTones
| Number of tones in each transmission line. Picture scan data is considered single tone.
tone_t | tones [8]
| Sequence of tones in each transmission line. This is used to create the correct encoding sequence.

## Detailed Description

Structure to save data about supported SSTV modes.

The documentation for this struct was generated from the following file:

- src/protocols/SSTV/SSTV.h